## PeonyModule

PeonyModule — Initialize an extension

## Functions

GType | peony_operation_result_get_type ()
void | peony_module_initialize ()
void | peony_module_shutdown ()
void | peony_module_list_types ()
void | peony_module_list_pyfiles ()

## Types and Values

#define | PEONY_TYPE_OPERATION_RESULT
| PeonyOperationHandle
enum | PeonyOperationResult

## Object Hierarchy

        GEnum
        ╰── PeonyOperationResult

## Includes

    #include <libpeony-extension/peony-extension-types.h>

## Description

Methods that each extension implements.

## Functions

### peony_operation_result_get_type ()

    GType
    peony_operation_result_get_type (void);

### peony_module_initialize ()

    void
    peony_module_initialize (GTypeModule *module);

### peony_module_shutdown ()

    void
    peony_module_shutdown (void);

### peony_module_list_types ()

    void
    peony_module_list_types (const GType **types,
                             int *num_types);

### peony_module_list_pyfiles ()

    void
    peony_module_list_pyfiles (GList **pyfiles);

## Types and Values

### PEONY_TYPE_OPERATION_RESULT

    #define PEONY_TYPE_OPERATION_RESULT (peony_operation_result_get_type ())

### PeonyOperationHandle

    typedef struct _PeonyOperationHandle PeonyOperationHandle;

Handle for asynchronous interfaces. These are opaque handles that must be unique within an extension object. These are returned by operations that return PEONY_OPERATION_IN_PROGRESS.

### enum PeonyOperationResult

#### Members

PEONY_OPERATION_COMPLETE | the operation succeeded, and the extension is done with the request. |
PEONY_OPERATION_FAILED | the operation failed. |
PEONY_OPERATION_IN_PROGRESS | the extension has begin an async operation. When this value is returned, the extension must set the handle parameter and call the callback closure when the operation is complete. |